<template>
  <div>
    <p>{{ description }}</p>
    <p>{{ content }}</p>
  </div>
  <div class="flex justify-end gap-2">
    <Button type="button" :label="okLabel" severity="secondary" @click="okButtonClick"></Button>
    <Button type="button" :label="cancelLabel" @click="cancelButtonClick"></Button>
  </div>
</template>

<script setup lang="ts">
import { inject, onMounted, ref } from "vue";
import Button from 'primevue/button';
import type { DataDialog } from "@/core/types";

const dialogRef: any = inject("dialogRef");

let params: DataDialog;

const description = ref("");
const content = ref("");
const okLabel = ref("Ok");
const cancelLabel = ref("Cancel");

onMounted(() => {
  params = dialogRef.value.data;
  content.value = params.content;
  if (params.description) description.value = params.description;
  if (params.okLabel) okLabel.value = params.okLabel;
  if (params.cancelLabel) cancelLabel.value = params.cancelLabel;
})

const okButtonClick = () => {
  dialogRef.value.close(true);
}

const cancelButtonClick = () => {
  dialogRef.value.close(false);
}

</script>
<style scoped></style>
